<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>XsUsbHubInfo Struct Reference</title>
<link href="xsens.css" rel="stylesheet" type="text/css"/>
</head><body>
<img class="logo" src="xsenslogo.jpg" alt="Xsens Logo" />
	<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="struct_xs_usb_hub_info-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">XsUsbHubInfo Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>A structure that wraps USB hub information.  
 <a href="struct_xs_usb_hub_info.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a2c20c050f4e01dfbadbc432742ab650a"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_usb_hub_info.html#a2c20c050f4e01dfbadbc432742ab650a">XsUsbHubInfo</a> (<a class="el" href="group__cinterface.html#ga5c9e4b694fa198168f177ddb6f749f54">XsHubIdentifier</a> hubid=0)</td></tr>
<tr class="memdesc:a2c20c050f4e01dfbadbc432742ab650a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Default constructor.  <a href="#a2c20c050f4e01dfbadbc432742ab650a">More...</a><br /></td></tr>
<tr class="separator:a2c20c050f4e01dfbadbc432742ab650a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaeb610fac342740477a85facc0f04cc3"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_usb_hub_info.html#aaeb610fac342740477a85facc0f04cc3">~XsUsbHubInfo</a> ()</td></tr>
<tr class="memdesc:aaeb610fac342740477a85facc0f04cc3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#aaeb610fac342740477a85facc0f04cc3">More...</a><br /></td></tr>
<tr class="separator:aaeb610fac342740477a85facc0f04cc3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a001631bb89b986c863c9d24420df0e82"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_usb_hub_info.html#a001631bb89b986c863c9d24420df0e82">XsUsbHubInfo</a> (const <a class="el" href="struct_xs_usb_hub_info.html">XsUsbHubInfo</a> &amp;other)</td></tr>
<tr class="memdesc:a001631bb89b986c863c9d24420df0e82"><td class="mdescLeft">&#160;</td><td class="mdescRight">Copy constructor.  <a href="#a001631bb89b986c863c9d24420df0e82">More...</a><br /></td></tr>
<tr class="separator:a001631bb89b986c863c9d24420df0e82"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aabfdd35b51e863ca9343c7de148177e4"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="struct_xs_usb_hub_info.html">XsUsbHubInfo</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_usb_hub_info.html#aabfdd35b51e863ca9343c7de148177e4">operator=</a> (const <a class="el" href="struct_xs_usb_hub_info.html">XsUsbHubInfo</a> &amp;other)</td></tr>
<tr class="memdesc:aabfdd35b51e863ca9343c7de148177e4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Assigns <em>other</em> to this <a class="el" href="struct_xs_usb_hub_info.html" title="A structure that wraps USB hub information. ">XsUsbHubInfo</a>.  <a href="#aabfdd35b51e863ca9343c7de148177e4">More...</a><br /></td></tr>
<tr class="separator:aabfdd35b51e863ca9343c7de148177e4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a70fb9d22b27060bfa1075507f854dd5c"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_usb_hub_info.html#a70fb9d22b27060bfa1075507f854dd5c">parentPathMatches</a> (const <a class="el" href="struct_xs_usb_hub_info.html">XsUsbHubInfo</a> &amp;other) const </td></tr>
<tr class="memdesc:a70fb9d22b27060bfa1075507f854dd5c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns true if the two hub info objects share the same device path.  <a href="#a70fb9d22b27060bfa1075507f854dd5c">More...</a><br /></td></tr>
<tr class="separator:a70fb9d22b27060bfa1075507f854dd5c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a67653e7c08c9960e665d33cd25c17515"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a67653e7c08c9960e665d33cd25c17515"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_usb_hub_info.html#a67653e7c08c9960e665d33cd25c17515">isValid</a> () const </td></tr>
<tr class="memdesc:a67653e7c08c9960e665d33cd25c17515"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns true if a valid hub is set. <br /></td></tr>
<tr class="separator:a67653e7c08c9960e665d33cd25c17515"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7e0b2499360be93040d91135fa4f585c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7e0b2499360be93040d91135fa4f585c"></a>
<a class="el" href="group__cinterface.html#ga5c9e4b694fa198168f177ddb6f749f54">XsHubIdentifier</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_usb_hub_info.html#a7e0b2499360be93040d91135fa4f585c">hub</a> () const </td></tr>
<tr class="memdesc:a7e0b2499360be93040d91135fa4f585c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return the hub identifier. <br /></td></tr>
<tr class="separator:a7e0b2499360be93040d91135fa4f585c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:a32cb2c7c1db03bafead75e5f04b8e420"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a32cb2c7c1db03bafead75e5f04b8e420"></a>
<a class="el" href="group__cinterface.html#ga5c9e4b694fa198168f177ddb6f749f54">XsHubIdentifier</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_usb_hub_info.html#a32cb2c7c1db03bafead75e5f04b8e420">m_hub</a></td></tr>
<tr class="memdesc:a32cb2c7c1db03bafead75e5f04b8e420"><td class="mdescLeft">&#160;</td><td class="mdescRight">The identifier of the USB hub. <br /></td></tr>
<tr class="separator:a32cb2c7c1db03bafead75e5f04b8e420"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>A structure that wraps USB hub information. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a2c20c050f4e01dfbadbc432742ab650a"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">XsUsbHubInfo::XsUsbHubInfo </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__cinterface.html#ga5c9e4b694fa198168f177ddb6f749f54">XsHubIdentifier</a>&#160;</td>
          <td class="paramname"><em>hubid</em> = <code>0</code></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">explicit</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Default constructor. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">hubid</td><td>an optional hub identifier to initialize with </td></tr>
  </table>
  </dd>
</dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="group__cinterface.html#gabcd2d9017d98760bd77cc7f8cdcf3dff" title="Initialize the XsUsbHubInfo with hub. ">XsUsbHubInfo_construct</a> </dd></dl>

</div>
</div>
<a class="anchor" id="aaeb610fac342740477a85facc0f04cc3"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">XsUsbHubInfo::~XsUsbHubInfo </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Destructor. </p>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="group__cinterface.html#ga19eb9e1412205a548ecc54171bb2d707" title="Destroy the XsUsbHubInfo. ">XsUsbHubInfo_destruct</a> </dd></dl>

</div>
</div>
<a class="anchor" id="a001631bb89b986c863c9d24420df0e82"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">XsUsbHubInfo::XsUsbHubInfo </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="struct_xs_usb_hub_info.html">XsUsbHubInfo</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Copy constructor. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">other</td><td>the object to copy </td></tr>
  </table>
  </dd>
</dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="group__cinterface.html#ga5cda0534d7a45d878eb47f9a45b646c3" title="Copy the contents of the XsUsbHubInfo to copy. ">XsUsbHubInfo_copy</a> </dd>
<dd>
<a class="el" href="group__cinterface.html#gabcd2d9017d98760bd77cc7f8cdcf3dff" title="Initialize the XsUsbHubInfo with hub. ">XsUsbHubInfo_construct</a> </dd></dl>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="aabfdd35b51e863ca9343c7de148177e4"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="struct_xs_usb_hub_info.html">XsUsbHubInfo</a>&amp; XsUsbHubInfo::operator= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="struct_xs_usb_hub_info.html">XsUsbHubInfo</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Assigns <em>other</em> to this <a class="el" href="struct_xs_usb_hub_info.html" title="A structure that wraps USB hub information. ">XsUsbHubInfo</a>. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">other</td><td>the object to copy </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>a const reference to this info object </dd></dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="group__cinterface.html#ga5cda0534d7a45d878eb47f9a45b646c3" title="Copy the contents of the XsUsbHubInfo to copy. ">XsUsbHubInfo_copy</a> </dd></dl>

</div>
</div>
<a class="anchor" id="a70fb9d22b27060bfa1075507f854dd5c"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool XsUsbHubInfo::parentPathMatches </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="struct_xs_usb_hub_info.html">XsUsbHubInfo</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Returns true if the two hub info objects share the same device path. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">other</td><td>the object to compare to </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>true if the two objects share the same immediate parent hub, false otherwise </dd></dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="group__cinterface.html#ga2070c99d652844fdd3ce5216a7e33e75" title="Returns true if the two hub info objects share the same device path. ">XsUsbHubInfo_parentPathMatches</a> </dd></dl>

</div>
</div>
</div><!-- contents -->

<div class="tabs">&nbsp;</div>
<hr size="1" />
<address style="text-align: right;">
<small>Generated on Thu Jun 29 2017 for Xsens by <a href="http://www.doxygen.org/index.html">Doxygen</a> 1.8.11</small>
</address>
</body>
</html>
